Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class DynamicImplementation

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.CORBA.DynamicImplementation

All Implemented Interfaces:
  Object

Direct Known Subclasses:
  _BindingIteratorImplBase, _NamingContextImplBase

public abstract class DynamicImplementation
extends ObjectImpl

The base class for all object implementations using the DSI. It defines a single abstract method, `invoke`, that a dynamic servant needs to implement. DynamicImplementation has been deprecated by the OMG in favor of the Portable Object Adapter.

Since:
  JDK1.2
See Also:
  `ServerRequest`

Constructor Summary
`DynamicImplementation()`

Method Summary
`abstract void` | `invoke(ServerRequest request)` Accepts a `ServerRequest` object and uses its methods to determine the request target, operation, and parameters, and to set the result or exception.

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _ids, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DynamicImplementation

    public DynamicImplementation()

Method Detail

### invoke

    public abstract void invoke(ServerRequest request)

  Accepts a `ServerRequest` object and uses its methods to determine the request target, operation, and parameters, and to set the result or exception. Deprecated by the Portable Object Adapter.
  Parameters:
    `request` - a `ServerRequest` object representing the request to be invoked

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.